alert_list

Alerts may be filtered by alert class or alert class glob and by an inclusive creation time range.

get/v1/alerts

Query Parameters

Optional alert class or glob pattern used to filter alerts.

If this is included, only alerts with the specified class or matching the glob pattern (as appropriate) will be returned. Otherwise, alerts of all classes will be returned.

See the guide-level documentation on alerts for details on alert classes and alert class glob patterns.

A webhook event class subscription matches either a single event class exactly, or a glob pattern including wildcards that may match multiple event classes

end_time

Inclusive upper bound on the alert creation time

If this is included, only alerts created at or before this time will be returned.

limit

Maximum number of items returned by a single call

Token returned by previous call to retrieve the subsequent page

Supported set of sort modes for scanning by timestamp and ID

start_time

Inclusive lower bound on the alert creation time.

If this is included, only alerts created at or after this time will be returned.

Responses

200

successful operation

Object
items

list of items on this page of results

An alert.

Alerts provide notifications about events that occurred in the system at a point in time. See the guide-level documentation on alerts for details.

Object
class

The alert's class.

See the guide-level documentation on alerts for details on alert classes.

id

Unique, immutable, system-controlled identifier for each resource

payload

The alert's data payload.

The schema for this object depends on the alert class and version.

time_created

Timestamp when this resource was created

time_modified

Timestamp when this resource was last modified

version

The schema version of this alert's data payload.

Alert schemas are versioned on a per-alert-class basis. The schema version for a particular alert class does not correspond to an Oxide API version. Clients should expect to encounter earlier schema versions when retrieving alerts recorded by an earlier version of the system software.

See the guide-level documentation on alerts for details.

next_page

token used to fetch the next page of results (if any)

4XX

Error

Object
message
request_id
5XX

Error

Object
message
request_id